axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Veithen <andreas.veit...@gmail.com>
Subject Re: org.apache.axiom.om.OMException with Axis2 Client
Date Mon, 31 Dec 2012 11:01:19 GMT
On Fri, Dec 21, 2012 at 4:24 PM, Martin Gainty <mgainty@hotmail.com> wrote:
>
> you're right ..this should be handled by a profile inside pom.ml which triggers on feature
property value being 'default' or 'dom'
>
> if (feature.equals(FEATURE_DEFAULT)) {
>                 jarHint = "axiom-impl.jar";
>             } else if (feature.equals(FEATURE_DOM)) {
>                 jarHint = "axiom-dom.jar";
>             } else {
>                 jarHint = null;
>             }

Nonsense. The purpose of that piece of code is just to produce a more
meaningful error message (instead of just "No meta factory found for
feature 'xxx'").

> assuming axiom-impl-1.2.13.jar is on classpath
>
> mv axiom-impl-1.2.13.jar axiom-impl.jar
>
> org.apache.axiom.om.OMAbstractFactory is not able to pickup version specific axiom-impl-1.2.13.jar

Nonsense. The code (that loads the meta factories, not the one shown
above) looks for resources called META-INF/axiom.xml. The name of the
JAR doesn't matter.

>
> Feliz Navidad desde EEUU,
> Martin Gainty
> ______________________________________________
> por favor no altere ni interrumpir la transmisión
> por favor no altere ni interrumpir la transmisión..Gracias
>
>
>
> ________________________________
> From: oscaster@hotmail.com
> To: axis-user@ws.apache.org
> Subject: org.apache.axiom.om.OMException with Axis2 Client
> Date: Fri, 21 Dec 2012 12:50:40 +0100
>
>
> Sorry i didn´t change subject
>
> Hi all:
>
>     I´ve created an Axis2 client to retrieve info from an Axis2 Web Service, when i
test it at my local Ide Netbeans it all works fine, but when i try it at Testing environment
(which is a copy of Pro) it says me the following error:
>
> org.apache.axiom.om.OMException: No meta factory found for feature 'default'; this usually
means that axiom-impl.jar is not in the classpath
>
>
>   I´am pretty sure i have axiom-impl-1.2.13 on my classpath (i have tried with all axiom
jars which comes with Axis2 distribution and with axiom.jar also). None of this tries works,
i search on google and only what i found it´s to use axiom.jar instead o impl or api one
(i have also tried this and doesn´t work)
>
>  Could anyone help me with this feature?
>
>  Thanks in advace
>
>  Kind regards and also Merry Christmas!!
>
>  Oscar
>

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@axis.apache.org
For additional commands, e-mail: java-user-help@axis.apache.org


Mime
View raw message